如何避免adtbundle新建项目总是产生一个appcompat_v7和fragment_main.xml

泡在网上的日子 / 文 发表于2014-09-17 10:46 次阅读 eclipse,appcompat

这个问题的出现时,我强迫症地就把appcompat_v7给删了,删了就小红叉子报错,就郁闷了。然后再建个项目,特别爽地连敲五个大回车,那个家伙居然又出现了,真是烦人。好吧,后来我就不强迫症了,不搭理appcompat_v7依然可以正常敲代码运行。后来查了查发现这个“令人讨厌”的appcompat_v7总冒出来是因为我的ADT到22.6.0以后的版本了。

为什么会出现appcompat_v7?

appcompat_v7是Google自己的一个兼容包,就是一个支持库,能让Android2.1以上全使用上4.0版本的界面。

解决方法一:不管appcompat_v7的存在,直接做自己的项目。

解决方法二:

不慎删除appcompat_v7的人,然后出现小红叉叉。

点击菜单栏"Project",选择"Clean",然后点击"OK",Clean完成后,你会发现appcompat_v7包出错。test包出现红色警告的问题已经解决了,只是test包还有黄色警告,那只是因为test的Java文件中import的类没有被使用,所以完全不用管它。
如果还不管用,那么右键test项目,选择Properties,勾选Library栏下的"IsLibrary"方框,点击"OK",然后再照以上步骤执行"Clean"操作即可。

解决方法三:针对特别反感appcompat_v7的人群。既然appcompat_v7包是一个能让2.1以上全使用上4.0版本的界面的支持库,那么如图所示,我们建项目时直接把最小SDK选在Android4.0以上不就不需要这个支持库了吗?结果证明我们的想法是对的。

补充:
为了让界面可以在平板上更好地展示,Android在3.0版本引入了Fragment(碎片)功能,它非常类似于Activity,可以像Activity一样包含布局。

Android 系统4.0 命名为 Ice CreamSandwich(简称ICS,冰淇淋三明治),是谷歌发布新一代操作系统。Android4.0拥有十大重点新特性。集成谷歌电视和Chrome OS的智能停放 ,运行速度得到进一步提升。谷歌新一代安卓系统Ice CreamSandwich将只有一个版本,同时支持智能手机、平板电脑,这将解决安卓 3.x系统和安卓2.x操作系统版本分化的问题,开发者为平板电脑和智能手机开发的应用也将可以通用。


收藏 赞 (0) 踩 (1)
上一篇:android staticlayout使用讲解
使用Canvas的drawText绘制文本是不会自动换行的,即使一个很长很长的字符串,drawText也只显示一行,超出部分被隐藏在屏幕之外。可以逐个计算每个字符的宽度,通过一定的算法将字符串分割成多个部分,然后分别调用drawText一部分一部分的显示, 但是这种显示
下一篇:android图片裁剪截取中间正方形部分
在做相册应用的过程中,需要得到一个压缩过的缩略图但,同时我还希望得到的bitmap能够是正方形的,以适应正方形的imageView,传统设置inSampleSize压缩比率的方式只是压缩了整张图片,如果一个图片的长宽差距较大,则展示出来的时候会有拉伸的现象,因此正确